Bug 996161 - [abrt] ekiga-4.0.1-1.fc19: OpalRTPMediaStream::ReadPacket: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV)
[abrt] ekiga-4.0.1-1.fc19: OpalRTPMediaStream::ReadPacket: Process /usr/bin/e...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:a18e4ffb63f5a22967559ba0264...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 10:29 EDT by Marc Schlensog
Modified: 2015-02-17 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (74.79 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: core_backtrace (55.13 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: dso_list (21.16 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: environ (1.78 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: maps (108.09 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: open_fds (2.41 KB, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details
File: var_log_messages (319 bytes, text/plain)
2013-08-12 10:29 EDT, Marc Schlensog
no flags Details

  None (edit)
Description Marc Schlensog 2013-08-12 10:29:09 EDT
Version-Release number of selected component:
ekiga-4.0.1-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        ekiga
crash_function: OpalRTPMediaStream::ReadPacket
executable:     /usr/bin/ekiga
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 OpalRTPMediaStream::ReadPacket at /usr/src/debug/opal-3.10.10/src/opal/mediastrm.cxx:707
 #1 OpalMediaPatch::Main at /usr/src/debug/opal-3.10.10/src/opal/patch.cxx:595
 #2 PThread::PX_ThreadStart at ptlib/unix/tlibthrd.cxx:495
 #4 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
Comment 1 Marc Schlensog 2013-08-12 10:29:14 EDT
Created attachment 785703 [details]
File: backtrace
Comment 2 Marc Schlensog 2013-08-12 10:29:18 EDT
Created attachment 785704 [details]
File: cgroup
Comment 3 Marc Schlensog 2013-08-12 10:29:23 EDT
Created attachment 785705 [details]
File: core_backtrace
Comment 4 Marc Schlensog 2013-08-12 10:29:27 EDT
Created attachment 785706 [details]
File: dso_list
Comment 5 Marc Schlensog 2013-08-12 10:29:30 EDT
Created attachment 785707 [details]
File: environ
Comment 6 Marc Schlensog 2013-08-12 10:29:33 EDT
Created attachment 785708 [details]
File: exploitable
Comment 7 Marc Schlensog 2013-08-12 10:29:36 EDT
Created attachment 785709 [details]
File: limits
Comment 8 Marc Schlensog 2013-08-12 10:29:39 EDT
Created attachment 785710 [details]
File: maps
Comment 9 Marc Schlensog 2013-08-12 10:29:44 EDT
Created attachment 785711 [details]
File: open_fds
Comment 10 Marc Schlensog 2013-08-12 10:29:47 EDT
Created attachment 785712 [details]
File: proc_pid_status
Comment 11 Marc Schlensog 2013-08-12 10:29:50 EDT
Created attachment 785713 [details]
File: var_log_messages
Comment 12 Eugen Dedu 2013-08-12 14:01:59 EDT
Marc, is this bug always reproducible?

Also, please explain in a few words what actions lead to the crash and attach also a -d 4 log (http://wiki.ekiga.org/index.php/Debugging_Ekiga#How_to_get_a_debug_output) when crashing.
Comment 13 Marc Schlensog 2013-08-13 01:52:31 EDT
Hi Eugen,

I kind of believe that the bug is related to another bug I filed with pulseaudio:
https://bugzilla.redhat.com/show_bug.cgi?id=996161

I just did some test calls and now things seem to work - at least temporarily. Should I run into this issue again, I will update the ticket with more information.

Thanks, Marc
Comment 14 Eugen Dedu 2013-08-13 07:14:39 EDT
This is not related to pulse.  This crash appears when parsing a packet received.
Comment 15 Fedora End Of Life 2015-01-09 14:25:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 11:43:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.